/* HTML*/ 
{
font-family: "Montserrat", serif;
}
body {
font-family: "Montserrat", serif;
}
/*HOME PAGE*/
#snap-site-carousel .carousel-caption {
    background-color: rgb(255 255 255 / 0%);
}
#snap-site-carousel h1 {
    font-weight: 800;
    text-transform: uppercase;
    color: white !important;
}
#snap-site-carousel .carousel-caption p {
    display: none;
}
div#mrooms-footer {
    color: black !important;
}
#moodle-footer a:not(.btn) {
    color: #000000;
}
div#page-mast h1 {
    color: #1e2357 !important;
    text-transform: uppercase;
    font-weight: 700;
}
/*Courses*/
nav#course-toc {
    padding: 2em;
    background-color: white;
    border-radius: 10px;
    padding: 1em;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, .2);
}
#snap-course-footer {
    background-color: #f1f0ee00 !important;
}
/*login*/
#page-login-index div#snap-header {
    display: none;
}
#page-login-index  footer#moodle-footer {
    display: none;
}

#snap-feature-spots .snap-feature-text {
    color: #333;
    text-align: justify;
}
/*width 100% en pagina principal para anuncios*/
#page-site-index .sitetopic {
max-width: 100%;
}
/*tres cartas en home page*/
.card-section_frontpage {
  max-width: 1200px;
  margin: 0 auto;
  padding: 2rem 1rem;
}

.card-section_frontpage .section-title {
  text-align: center;
  font-size: 1.8rem;
  margin-bottom: 2rem;
  font-weight: bold;
}

.card-section_frontpage  .card-grid {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.card-section_frontpage .cardfront {
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
  transition: transform 0.3s;
}

.card-section_frontpage .cardfront:hover {
  transform: translateY(-5px);
}

.card-section_frontpage  .cardfront img {
  width: 100%;
  height: auto;
  object-fit: cover;
  aspect-ratio: 16 / 9;
}

.card-section_frontpage .card-tag {
  color: #555;
  font-weight: bold;
  margin: 1rem 1rem 0.5rem;
  font-size: 0.85rem;
}

.card-section_frontpage .card-title {
  font-size: 1.2rem;
  margin: 0 1rem;
}



.card-section_frontpage  .card-title a {
  color: #005f9e;
  text-decoration: none;
}

.card-section_frontpage  .card-title a:hover {
  text-decoration: underline;
}

.card-section_frontpage  .card-text {
  font-size: 0.95rem;
  color: #444;
  margin: 0.5rem 1rem 1rem;
  text-align: justify;
}

.card-section_frontpage  .view-more {
  text-align: center;
  margin-top: 2rem;
}

.card-section_frontpage  .view-more-btn {
  display: inline-block;
  background-color: #1e2357;
  color: white !important;
  padding: 0.75rem 1.5rem;
  border-radius: 5px;
  text-decoration: none;
}

.card-section_frontpage  .view-more-btn:hover {
  background-color: #003e6b;
}

@media (min-width: 768px) {
  .card-section_frontpage  .card-grid {
    flex-direction: row;
    justify-content: space-between;
  }

  .card-section_frontpage  .cardfront {
    flex: 1 1 30%;
  }
}
/*login image*/
#page-login-index #page {
  
    height: 100% !important;
}
#page-mast {
    display: none !important;
}

@media (max-width: 992px) {
    #page-site-index #page-header, #page-site-index .carousel-slide {
        background-position: center !important;
        min-height: 16em !important;
    }
}
@media (max-width: 1024px) {
    #page-site-index #page-header, #page-site-index .carousel-slide {
        min-height: 17em !important;
        background-size: contain !important;
        background-repeat: no-repeat;
    }
}

.video-section {
  max-width: 1200px;
  margin: 3rem auto 0;
  padding: 0 1rem;
}

.video-section .section-title {
  text-align: center;
  font-size: 1.8rem;
  margin: 2rem 0 1rem;
  font-weight: bold;
}

.video-wrapper {
  position: relative;
  padding-bottom: 56.25%; 
  height: 0;
  overflow: hidden;
  border-radius: 10px;
  background: transparent;
  margin: 0 auto;
}

.video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
  display: block;
}
div#mrooms-footer {
    display: none;
}

#moodle-footer .langmenu {
    display: none;
}

#moodle-footer a:not(.btn) {
  color: #fff;
  font-size: 0.8rem;    
  font-weight: normal;  
}

#moodle-footer {
    text-align: center;
}

// scorm 
#page-mod-scorm-player #region-main {
    max-width: 100% !important;
}

#page-mod-scorm-player #scormpage #scorm_object {
    border: none;
    width: 100% !important;
    height: 100% !important;
}
#page-mod-scorm-player #scormpage #scorm_content {
    height: 110%  !important;
}